Bug 1265563 - long reboot due to failed umount, unmounting timed out, unmounting-sigterm, Received SIGCHLD
long reboot due to failed umount, unmounting timed out, unmounting-sigterm, R...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 04:46 EDT by frollic nilsson
Modified: 2016-07-19 13:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:59:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shutdown log (1011.82 KB, text/plain)
2015-09-23 04:46 EDT, frollic nilsson
no flags Details
log after _netdev added (1010.16 KB, text/plain)
2015-09-24 02:13 EDT, frollic nilsson
no flags Details

  None (edit)
Description frollic nilsson 2015-09-23 04:46:20 EDT
Created attachment 1076123 [details]
shutdown log

Description of problem:

When executing reboot, the reboot takes around 30 mins. The problem seems to be unmount not beeing able to umount a NFS mount.

This is on a system just upgraded from FC21 to FC22.

Version-Release number of selected component (if applicable):

systemd-219-24.fc22.x86_64
systemd-libs-219-24.fc22.x86_64
systemd-compat-libs-219-24.fc22.x86_64
kernel-4.1.6-201.fc22.x86_64
nfs-utils-1.3.2-9.fc22.x86_64

How reproducible:

mount during start up in fstab - 
192.168.10.254:/hdc     /hdc                    nfs     retry=5,bg      0 0

reboot or shutdown system

Steps to Reproduce:
1.
2.
3.

Actual results:
reboot after ~30 mins

Expected results:
faster reboot.

Additional info:
this system is accessing the local LAN via WiFi.


Shutdown log attached.
Comment 1 Jan Synacek 2015-09-23 07:18:47 EDT
Try appending '_netdev' to the mount options.
Comment 2 frollic nilsson 2015-09-24 02:13 EDT
Created attachment 1076348 [details]
log after _netdev added
Comment 3 frollic nilsson 2015-09-24 02:13:36 EDT
added _netdev -

192.168.10.254:/hdc     /hdc            nfs     retry=5,bg,_netdev      0 0

mount sais:

192.168.10.254:/hdc on /hdc type nfs4 (rw,relatime,vers=4.2,rsize=524288,wsize=524288,namlen=255,hard,proto=tcp,port=0,timeo=600,retrans=2,sec=sys,clientaddr=192.168.10.200,local_lock=none,addr=192.168.10.254)

unfortnately the problem still occurs :/

new log attached, but the umount errors seem to be the same.
Comment 4 Michal Sekletar 2015-09-24 03:38:26 EDT
Adding _netdev for nfs mount points shouldn't be necessary because nfs filesystem type is sufficient to deduce this is network mount.
Comment 5 Fedora End Of Life 2016-07-19 13:59:36 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.